Skip to main content

createOrUpdateProjectReportConfig

Create or update Project Report Configuration

createOrUpdateProjectReportConfig(
input: CreateOrUpdateProjectReportConfigInput!
): CreateOrUpdateProjectReportConfigPayload

Arguments​

createOrUpdateProjectReportConfig.input ● CreateOrUpdateProjectReportConfigInput! non-null input​

Parameters for CreateOrUpdateProjectReportConfig

Type​

CreateOrUpdateProjectReportConfigPayload object​

Autogenerated return type of CreateOrUpdateProjectReportConfig.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the projects query first and use data.projects.collection[].id as projectId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateProjectReportConfig($input: CreateOrUpdateProjectReportConfigInput!) {\n createOrUpdateProjectReportConfig(input: $input) { clientMutationId reportConfigDetails { executiveReport { __typename } projectId technicalReport { __typename } } }\n}","variables":{"input":{"projectId":"<project_id>","reportType":"TECHNICAL"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute